import React, { HTMLAttributes } from 'react';
import { AlignContent, AlignItems, Component, FlexDirection, JustifyContent, Stepping } from '../propTypes';
export interface FlexBoxProps extends HTMLAttributes<any> {
    type?: Component;
    spacing?: Stepping;
    flexDirection?: FlexDirection;
    alignItems?: AlignItems;
    justifyContent?: JustifyContent;
    alignContent?: AlignContent;
}
/**
 * A box is a flex container which can provide padding on all sides via the spacing prop.
 */
declare const FlexBox: React.ForwardRefExoticComponent<FlexBoxProps & React.RefAttributes<HTMLElement>>;
export default FlexBox;
